Subject: Re: the latter half of october, the maintainer goes offline

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Oct 2024 09:56:36 -0700

Taylor Blau <[email-masked]> writes:

> On Fri, Oct 04, 2024 at 05:22:27PM +0200, Patrick Steinhardt wrote:
>> There are two maintainership models I can think of: either a single
>> individual or a group of people would take over.
>> ...
> I do think there is a need to have a single individual who is ultimately
> responsible for ensuring that the patches are reviewed and merged in a
> timely fashion, that releases are cut on time and are high-quality, etc.
>
> But I also think that the project benefits from having trusted
> individuals who are knowledgeable about specific areas of the codebase.
> The maintainer can lean and rely on those individuals to get a sanity
> check of whether or not some patches are good or not. For instance, I
> would imagine that Junio relies on you to help review patches in the
> reftable implementation.
>
> I think that's more or less the status-quo, and IMHO it works well from
> a contributor's perspective. I would be curious if the maintainer feels
> the same or not ;-).

This turned my "explore how you folks want to manage yourselves
while I am away" into "how would we want to run the project after
Gitster retires (or moves on)".  While I find that the rumor of my
retirement is greatly exaggerated, I think that is a discussion
worth having.

It is a tricky topic how we want open source funding to work.

The "benevolent dictator" model, even if the day-to-day operation is
delegated to various area experts (aka lieutenants), cannot work if
such a dictator simply does not exist (due to various reasons,
ranging from "nobody wants to become one" to "community cannot agree
on whom to make one").  The community has to go with some other
model that does not require a dedicated full-time maintainer, even
if it prefers to have one (and the community can choose to follow a
different model even if it can afford one, of course).

I think the status-quo, which was nurtured over the years, is the
best this community can have, *if* we want to keep the "benevolent
dictator" model.  I would not claim that we perfected the model, but
I would say we are close enough.

What I hoped to see happen here was that the community is prepared
when the community has to (or wants to)choose another model.  And I
am happy to see the recent trend to document and codify how we make
decisions and move the project forward, because these efforts help
us whether we have the "benevolent dictator" or not.